Bug 1569748 - Rebase pango to 1.42.1
Summary: Rebase pango to 1.42.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pango
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peng Wu
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1549949 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-19 23:41 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
7 users (show)

Fixed In Version: pango-1.42.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:24:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:25:12 UTC

Description Matthias Clasen 2018-04-19 23:41:48 UTC
As part of the desktop rebase in 7.6, we need to rebase pango to the version that is shipped with GNOME 3.28.

Comment 2 Peng Wu 2018-04-23 06:28:22 UTC
I think first need to update fribidi to 0.19.7 or 1.0.1 in RHEL 7.6.

Then I will build pango 1.42.1 for RHEL 7.6.

Comment 4 Kalev Lember 2018-05-03 14:45:45 UTC
(In reply to Peng Wu from comment #2)
> I think first need to update fribidi to 0.19.7 or 1.0.1 in RHEL 7.6.

Can you update fribidi to 1.0.1 in Fedora 28 first, so that we get some real word testing? Otherwise I think it would make sense to rebase to 0.19.7 in RHEL 7.6 as that's the version we ship in F28 and known to be working together with the rest of the desktop stack there.

Comment 5 Peng Wu 2018-05-04 06:58:36 UTC
BTW, fribidi 1.0.2 is also available.
https://github.com/fribidi/fribidi/releases

Should we try fribidi 1.0.2 for Fedora 28 and rawhide?

Comment 6 Kalev Lember 2018-05-04 07:35:43 UTC
Sure, makes sense to me.

Comment 8 Kalev Lember 2018-05-04 08:16:33 UTC
Thanks!

Comment 9 Peng Wu 2018-06-07 03:23:59 UTC
currently wait for fontconfig to build pango for RHEL 7.6.

Comment 10 Peng Wu 2018-06-08 13:08:26 UTC
Fixed in pango-1.42.1-2.el7

Comment 17 errata-xmlrpc 2018-10-30 10:24:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.